const FEEDBACK_URL = 'https://chat.upb.ro/api/feedback/';

export async function sendFeedback(messageID, action) {
    try {
        await fetch(FEEDBACK_URL, {
            method: 'POST',
            headers: { 'Content-Type': 'application/json' },
            body: JSON.stringify({
                messageID: messageID,
                feedback: action // 'like' or 'dislike'
            })
        });
    } catch (err) {
        console.error('Feedback error:', err);
    }
}
