export async function initUI() {
    const response = await fetch('chatWidget.html');
    const htmlContent = await response.text();

    const chatWidgetContainer = document.createElement('div');
    chatWidgetContainer.id = 'chat-widget-container';
    document.body.appendChild(chatWidgetContainer);
    chatWidgetContainer.innerHTML = htmlContent;
}

export function disableChatUI() {
    const chatControls = document.getElementById('chat-controls');

    if (!chatControls) return;

    chatControls.innerHTML = `
        <button id="reload-conversation" class="bg-gray-800 text-white rounded-md px-4 py-2 cursor-pointer text-sm">
          Reîncepe conversația
        </button>
      `;

    document.getElementById('reload-conversation').addEventListener('click', () => {
        // XXX Is this idiomatic?
        sessionStorage.setItem('softReload', 'true');
        location.reload();
    });

    document.getElementById('report-problem').addEventListener('click', () => {
        document.getElementById('report-popup').classList.remove('hidden');
    });
}
